Bug 205338 - Error Loading Operating System after 1st phase of installation
Error Loading Operating System after 1st phase of installation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-06 02:34 EDT by IBM Bug Proxy
Modified: 2015-01-04 17:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:18:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda log (1.15 KB, text/plain)
2006-09-06 02:40 EDT, IBM Bug Proxy
no flags Details
install log (37.51 KB, text/plain)
2006-09-06 02:42 EDT, IBM Bug Proxy
no flags Details
install syslog (5.16 KB, text/plain)
2006-09-06 02:43 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 26722 None None None Never

  None (edit)
Description IBM Bug Proxy 2006-09-06 02:34:37 EDT
LTC Owner is: ed_pollard@us.ibm.com
LTC Originator is: miketran@us.ibm.com


Problem description:
The boot loader was not installed.

Hardware Environment
    Machine type : x335
    Cpu type : Xeon 2.80GHz (2)


Is this reproducible? Yes
    Describe the steps:  Install via attached USB hard disk
    - boot with FC6 Test 2 CD1
    - when prompted, enter: Linux askmethod
    - select partition on attached USB hard disk
    - choose custom layout when prompt for partitioning method (8G for /, 6G for
/home, 2G for swap)
    - no password for boot loader
    - select Office and Development packages
    - reboot machine when prompted
    - The server rebooted and the "Error Loading Operating System" appeared on
screen.

Additional information:  I used the same setup to install IBM ThinkPad T41p. I
did not run into the boot loader problem on the T41p.


I worked around the problem as follows:
- boot linux rescue
- mount the installed root filesystem
- run grub-install
- reboot machine (now the grub is installed)
- continue the second phase of installation
-- Mike T.
Comment 1 IBM Bug Proxy 2006-09-06 02:40:57 EDT
Created attachment 135623 [details]
anaconda log
Comment 2 IBM Bug Proxy 2006-09-06 02:42:34 EDT
Created attachment 135624 [details]
install log
Comment 3 IBM Bug Proxy 2006-09-06 02:43:29 EDT
Created attachment 135625 [details]
install syslog
Comment 4 Matthias Clasen 2006-09-08 13:30:41 EDT
Another kernel bug filed against intltool, odd.
Comment 5 Dave Jones 2006-09-11 03:05:35 EDT
Is the T41p capable of booting from USB disk ?  Is it set to do so in the BIOS ?
Comment 6 IBM Bug Proxy 2006-09-11 10:41:17 EDT
------- Additional Comments From miketran@us.ibm.com (prefers email at mhtran@us.ibm.com)  2006-09-11 10:35 EDT -------
(In reply to comment #10)
> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|NEW                         |NEEDINFO
>          AssignedTo|kernel-maint@redhat.com     |davej@redhat.com
>                Flag|                            |needinfo?(gjohnson@austin.ib
>                    |                            |m.com)
> 
> 
> 
> 
> ------- Additional Comments From davej@redhat.com  2006-09-11 03:05 EST -------
> Is the T41p capable of booting from USB disk ?  Is it set to do so in the BIOS ?

This is an xSeries (x335) machine. 
Comment 7 Dave Jones 2006-09-14 01:03:31 EDT
ok, same question. Is it capable of booting from USB ? Is it set to do so in the
BIOS ?
Comment 8 IBM Bug Proxy 2006-09-14 10:56:15 EDT
----- Additional Comments From miketran@us.ibm.com (prefers email at mhtran@us.ibm.com)  2006-09-14 10:53 EDT -------
No, the machine is not set to boot from USB disk.  I am sorry if the description
of problem was not clear.

The ISOs were on the USB disk and I was installing Fedora onto the first hard
disk (sda) on the machine. 
Comment 9 IBM Bug Proxy 2006-09-18 19:25:55 EDT
----- Additional Comments From miketran@us.ibm.com (prefers email at mhtran@us.ibm.com)  2006-09-18 19:24 EDT -------
Please let me know if you need additional information for this machine.  I plan
to use the machine for other tests. 
Comment 10 Dave Jones 2006-09-19 17:06:22 EDT
I'm wondering if this is a drive ordering issue.
Can you boot without the USB disk plugged in, and then plug it once the
installer has started. This will ensure that the usb drive gets to be sdc
instead of sda, which should make the installers life easier.

Let me know if that works.
Comment 11 IBM Bug Proxy 2007-01-24 19:20:50 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEEDINFO                    |OPEN




------- Additional Comments From ed_pollard@us.ibm.com (prefers email at edpollar@linux.ibm.com)  2007-01-24 19:18 EDT -------
Red Hat,
 We have been unable to reproduce this issue, ok to close. Closing on IBM side. 
Comment 12 Bug Zapper 2008-04-03 23:39:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 13 Bug Zapper 2008-05-06 12:18:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.